> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supertab.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a One-Time Offering

> Retrieves a one-time offering.

<div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
  <h4 class="flex-1 mb-0">Required Scopes</h4>
</div>

`mapi:read` - Read access to Merchant API resources


## OpenAPI

````yaml get /onetime_offerings/{onetime_offering_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: '2025-04-01'
servers:
  - url: /capi
security: []
paths:
  /onetime_offerings/{onetime_offering_id}:
    get:
      tags:
        - Customer
      summary: Retrieve a one-time offering
      description: >-
        Retrieves a One-Time Offering. Usually a One-Time Offering would be
        created on the backend using

        the Merchant API in order that a customer can immediately retrieve and
        purchase it using the Customer API.
      operationId: retrieve-onetime-offering
      parameters:
        - name: onetime_offering_id
          in: path
          required: true
          schema:
            type: string
            title: onetime_offering_id
            description: An ID of a One-time Offering
            examples:
              - onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9
            format: tagged_id
          description: An ID of a One-time Offering
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            title: Customer API version
            description: The version of the Customer API you are using.
            default: '2025-04-01'
          description: The version of the Customer API you are using.
          examples:
            default:
              value: '2025-04-01'
        - name: x-supertab-client-id
          in: header
          required: true
          schema:
            title: Client Id
            type: string
            format: tagged_id
            examples:
              - live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9
              - test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9
          description: >-
            Your Client ID with Supertab. Used to identify the website on which
            Customer is making a Purchase.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnetimeOffering'
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Unauthorized
              example:
                error:
                  message: Invalid authentication credentials
                  code: invalid_credentials
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Forbidden
              example:
                error:
                  message: >-
                    The Bearer token does not match the x-supertab-client-id
                    header | Missing or invalid x-supertab-client-id | Invalid
                    subject type {request_subject_type} found,
                    {expected_token_type} expected | Forbidden
                  code: >-
                    client_id_mismatch | missing_or_invalid_x_supertab_client_id
                    | invalid_subject_type | forbidden
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Not Found
              example:
                error:
                  message: One-time offering not found
                  code: onetime_offering_not_found
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Conflict
              example:
                error:
                  message: >-
                    This one-time offering has expired | This one-time offering
                    was already consumed
                  code: onetime_offering_expired | onetime_offering_already_consumed
          description: Conflict
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: array
                    description: >-
                      A general error code and message accompanied by the list
                      of attributes that failed validation
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          description: A short generic error code
                        message:
                          type: string
                          description: A human-readable error message
                        errors:
                          type: array
                          description: A list of attributes that failed validation
                          items:
                            type: object
                            properties:
                              attribute:
                                type: string
                                description: >-
                                  The path to the attribute that failed
                                  validation
                              code:
                                type: string
                                description: >-
                                  An error code of this attribute's specific
                                  validation error
                              message:
                                type: string
                                description: >-
                                  A human-readable error message of this
                                  attribute's specific validation error
                type: object
                title: Validation Error
              example:
                error:
                  - code: validation_error
                    message: Validation Error
                    errors:
                      - attribute: query -> subject
                        code: missing
                        message: field required
      security:
        - oauth:
            - capi:read
components:
  schemas:
    OnetimeOffering:
      properties:
        id:
          type: string
          format: tagged_id
          title: Id
          examples:
            - onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9
        items:
          items:
            $ref: '#/components/schemas/OnetimeOfferingItem'
          type: array
          title: Items
        price:
          $ref: '#/components/schemas/Price'
      type: object
      required:
        - id
        - items
        - price
      title: OnetimeOffering
      description: Represents a one-time offering.
    OnetimeOfferingItem:
      properties:
        id:
          type: string
          format: tagged_id
          title: Id
          examples:
            - onetime_offering_item.4df706b5-297a-49c5-a4cd-2a10eca12ff9
        price:
          $ref: '#/components/schemas/Price'
        description:
          type: string
          title: Description
        metadata:
          additionalProperties:
            anyOf:
              - type: number
              - type: boolean
              - type: integer
              - type: string
              - type: 'null'
          type: object
          title: Metadata
          default: {}
      type: object
      required:
        - id
        - price
        - description
        - metadata
      title: OnetimeOfferingItem
      description: Represents an item in a one-time offering.
    Price:
      properties:
        amount:
          type: integer
          title: Amount
          description: Price amount expressed in currency base units
          examples:
            - 50
        currency:
          $ref: '#/components/schemas/Currency'
          description: The price's currency
      type: object
      required:
        - amount
        - currency
      title: Price
      description: An amount of money
    Currency:
      properties:
        code:
          type: string
          title: Code
          description: ISO2417 currency code
          examples:
            - USD
        name:
          type: string
          title: Name
          description: Full name
          examples:
            - US Dollar
        symbol:
          type: string
          title: Symbol
          description: Unicode currency symbol
          examples:
            - $
        base_unit:
          type: integer
          title: Base Unit
          description: >-
            The relationship between the currency's minor and major unit.


            For most currencies including USD & EUR this will be `100`. For
            currencies which do not use decimals (e.g JPY) this will `1`
          examples:
            - 100
      type: object
      required:
        - code
        - name
        - symbol
        - base_unit
      title: Currency
      description: Supertab is available in many currencies.
  securitySchemes:
    oauth:
      type: oauth2
      description: >-
        Supertab OAuth2 flow for CAPI. See
        [Authentication](/customer-api/authentication).
      flows:
        authorizationCode:
          scopes:
            capi:read: Access to view capi
            capi:write: Access to write for capi
          authorizationUrl: https://auth.supertab.co/oauth2/auth
          tokenUrl: https://auth.supertab.co/oauth2/token

````